Results 1 to 10 of 10

Thread: Does Wii Fit Plus need a firmware upgrade?

  1. #1
    Junior Member
    Join Date
    Apr 2009
    Posts
    54
    Thanks
    18
    Thanked 7 Times in 6 Posts

    Does Wii Fit Plus need a firmware upgrade?

    Got Wii Fit Plus NTSC and I tried it on my 3.4E pal console. All I get is a black screen once it starts loading, and then Wii freezes up.

    I think I've seen people describe similar problems with other games that needed to be upgraded to 3.4 (from 3.1) so I'm wondering if that's the fact here, or I simply got a dodgy iso?

    If I need to upgrade, is it safe to go with the latest firmware from Nintendo, or would that stop my Wasabi DX from working?

  2. #2
    Senior Member
    Join Date
    Jul 2007
    Posts
    3,162
    Thanks
    528
    Thanked 1,325 Times in 418 Posts
    Blog Entries
    1
    Another user had a similar problem and they fixed it by installing an updated IOS.

  3. #3
    Junior Member
    Join Date
    Apr 2009
    Posts
    54
    Thanks
    18
    Thanked 7 Times in 6 Posts
    IOS, that's the homebrew version of the firmware or something like that, right?

    I don't have any homebrew, just a modchip. Should I upgrade my firmware? And what version should I use?

  4. #4
    Retired WiiHacks Staff Tealc's Avatar
    Join Date
    May 2009
    Location
    Sunny Wales, UK
    Posts
    7,152
    Thanks
    502
    Thanked 4,103 Times in 2,453 Posts
    Blog Entries
    1
    Just get Wii Fit Plus when it comes out in Europe and update using that. Or find another new game as it'll probably contain the same IOS updates. It's tricky to update IOS any other way unless you softmod.
    Not really doing much Wii stuff these days.

  5. #5
    Junior Member
    Join Date
    Jun 2008
    Posts
    7
    Thanks
    1
    Thanked 0 Times in 0 Posts
    Whats the latest update I can do with a soft mod then?

  6. #6
    Junior Member
    Join Date
    Apr 2009
    Posts
    54
    Thanks
    18
    Thanked 7 Times in 6 Posts
    I don't know, but I upgraded to 4.2E and I still can't play the NTSC version of Wii Fit Plus...weird

  7. #7
    New Member
    Join Date
    Oct 2009
    Posts
    57
    Thanks
    19
    Thanked 0 Times in 0 Posts
    Quote Originally Posted by dezmond View Post
    I don't know, but I upgraded to 4.2E and I still can't play the NTSC version of Wii Fit Plus...weird
    Yeah so did I, I just get a black screen (4.2E too)

  8. #8
    New Member ocaz's Avatar
    Join Date
    Oct 2009
    Posts
    17
    Thanks
    2
    Thanked 0 Times in 0 Posts
    I am on 4.0e and works no problems for me on PAL system

  9. #9
    New Member
    Join Date
    Oct 2009
    Posts
    57
    Thanks
    19
    Thanked 0 Times in 0 Posts
    i use USB loader gx though - do you use neogamma and run it off a disc? Maybe I'm putting the wrong options for USB loader gx

  10. #10
    Junior Member
    Join Date
    Dec 2008
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Quote Originally Posted by ocaz View Post
    I am on 4.0e and works no problems for me on PAL system
    Is it really Wii sports Resort NTSC game that you are running on a PAL wii with 4.0E through disc channel?

    Thanks in advance

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •